## Apache Zeta Components Manual :: Docs For Class ezcWebdavMicrosoftCompatibleTransport

### Webdav::ezcWebdavMicrosoftCompatibleTransport

### Class ezcWebdavMicrosoftCompatibleTransport

Transport layer for Microsoft clients with RFC incompatiblities.

Clients seen, which need this:

- Microsoft Data Access Internet Publishing Provider Cache Manager
- Microsoft Data Access Internet Publishing Provider DAV 1.1
- Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Still not working:

- Microsoft-WebDAV-MiniRedir/5.1.2600

Seen, but unknown:

- Mozilla/2.0 (compatible; MS FrontPage 4.0)
- MSFrontPage/4.0

Source for this file: /Webdav/src/transports/microsoft.php

    ezcWebdavTransport
       |
       --ezcWebdavMicrosoftCompatibleTransport

Version: | //autogentag//

### Inherited Constants

From ezcWebdavTransport:
`ezcWebdavTransport::VERSION` | Used for server software string in Server header.

### Inherited Member Variables

From ezcWebdavTransport
public | `ezcWebdavTransport::$handlingMap`
public | `ezcWebdavTransport::$parsingMap`
protected | `ezcWebdavTransport::$properties`

### Method Summary

protected ezcWebdavOutputResult | `flattenResponse( $info )` Flattens a processed response object to headers and body.
protected ezcWebdavPropFindRequest | `parsePropFindRequest( $path , $body )` Parses the PROPFIND request and returns a request object.

### Inherited Methods

From ezcWebdavTransport
protected ezcWebdavOutputResult | `ezcWebdavTransport::flattenResponse()` Flattens a processed response object to headers and body.
protected ezcWebdavErrorResponse | `ezcWebdavTransport::handleException()` Handle a thrown exception and generate an error response from it.
public void | `ezcWebdavTransport::handleResponse()` Handle a response and send it to the WebDAV client.
protected ezcWebdavCopyRequest | `ezcWebdavTransport::parseCopyRequest()` Parses the COPY request and returns a request object.
protected ezcWebdavDeleteRequest | `ezcWebdavTransport::parseDeleteRequest()` Parses the DELETE request and returns a request object.
protected ezcWebdavGetRequest | `ezcWebdavTransport::parseGetRequest()` Parses the GET request and returns a request object.
protected ezcWebdavHeadRequest | `ezcWebdavTransport::parseHeadRequest()` Parses the HEAD request and returns a request object.
protected ezcWebdavMakeCollectionRequest | `ezcWebdavTransport::parseMakeCollectionRequest()` Parses the MKCOL request and returns a request object.
protected ezcWebdavMoveRequest | `ezcWebdavTransport::parseMoveRequest()` Parses the MOVE request and returns a request object.
protected ezcWebdavOptionsRequest | `ezcWebdavTransport::parseOptionsRequest()` Parses the OPTIONS request and returns a request object.
protected ezcWebdavCopyRequest|ezcWebdavMoveRequest | `ezcWebdavTransport::parsePropertyBehaviourContent()` Parses the <propertybehavior /> XML element.
protected ezcWebdavPropFindRequest | `ezcWebdavTransport::parsePropFindRequest()` Parses the PROPFIND request and returns a request object.
protected ezcWebdavPropPatchRequest | `ezcWebdavTransport::parsePropPatchRequest()` Parses the PROPPATCH request and returns a request object.
protected ezcWebdavPutRequest | `ezcWebdavTransport::parsePutRequest()` Parses the PUT request and returns a request object.
public ezcWebdavRequest|ezcWebdavResponse | `ezcWebdavTransport::parseRequest()` Parses the incoming request into a fitting request abstraction object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processCopyResponse()` Returns display information for a copy response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processDeleteResponse()` Returns display information for a delete response object.
protected ezcWebdavXmlDisplayInformation|ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processErrorResponse()` Returns display information for a error response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processGetCollectionResponse()` Returns display information for a get response for a collection.
protected ezcWebdavStringDisplayInformation | `ezcWebdavTransport::processGetResourceResponse()` Returns display information for a get response on a non-collection.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processHeadResponse()` Returns display information for a head response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processMakeCollectionResponse()` Returns display information for a make collection response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processMoveResponse()` Returns display information for a move response object.
protected ezcWebdavXmlDisplayInformation | `ezcWebdavTransport::processMultiStatusResponse()` Returns display information for a multistatus response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processOptionsResponse()` Returns display information for a options response object.
protected ezcWebdavXmlDisplayInformation | `ezcWebdavTransport::processPropFindResponse()` Returns display information for a prop find response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processPropPatchResponse()` Returns display information for a prop patch response object.
protected ezcWebdavXmlDisplayInformation | `ezcWebdavTransport::processPropStatResponse()` Returns display information for a prop stat response object.
protected ezcWebdavEmptyDisplayInformation | `ezcWebdavTransport::processPutResponse()` Returns display information for a put response object.
protected string | `ezcWebdavTransport::retreiveBody()` Returns the body content of the request.
protected string | `ezcWebdavTransport::retrieveBody()` Returns the body content of the request.
protected string | `ezcWebdavTransport::retrievePath()` Returns the translated request path.
protected void | `ezcWebdavTransport::sendResponse()` Finally sends out the response.

### Methods

#### flattenResponse

ezcWebdavOutputResult flattenResponse( ezcWebdavDisplayInformation $info )

Flattens a processed response object to headers and body.

Takes a given ezcWebdavDisplayInformation object and returns an array containg the headers and body it represents.

The returned information can be processed (send out to the client) by ezcWebdavTransport::sendResponse().

##### Parameters:

Name | Type | Description
--- | --- | ---
`$info` | ezcWebdavDisplayInformation |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavTransport::flattenResponse()` | Flattens a processed response object to headers and body.

#### parsePropFindRequest

ezcWebdavPropFindRequest parsePropFindRequest( string $path , string $body )

Parses the PROPFIND request and returns a request object.

Microsoft clients may send an empty request, so that we guess, that they meant an allprop request, fill the body struct accordingly and then dispatch to the original method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$path` | string |
`$body` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavTransport::parsePropFindRequest()` | Parses the PROPFIND request and returns a request object.

Documentation generated by phpDocumentor 1.4.3